<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		iframe{
			width:1200px;
			height: 800px;
		}
	</style>
	

	<script type="text/javascript">
		window.addEventListener("load",function(){
			document.querySelector("form").addEventListener("submit",enviar);
		});

		function enviar(evento){
			evento.preventDefault();
			document.querySelector("iframe").src="https://www.google.com/maps/embed/v1/place?key=AIzaSyAtMQoSDph1nm7dnbU-vEzDo04vx5QgOqk&q=" + formulario.calle.value.split(" ").join("+");
		}


	</script>
</head>
<body>
<form name="formulario">
<datalist id="opciones">
	<option value="Isaac peral 1">La taberna de Paco</option>
	<option value="Alpe Formacion">Centro de Formacion Alpe, pasaje de peña</option>
	<option value="Colegio concertado purisima concepcion">Colegio concertado purisima concepcion, calle Alta</option>
</datalist>
	<input list="opciones" type="text" name="calle" placeholder="Selecciona un sitio" required="true">
	<button>Mostrar</button>
</form>
	<iframe width="600" height="450" frameborder="0" style="border:0" src="https://www.google.com/maps/embed/v1/place?key=AIzaSyAtMQoSDph1nm7dnbU-vEzDo04vx5QgOqk&q=Alpe+Formacion" allowfullscreen></iframe>
</body>
</html>